appId: org.digiresilience.wellnesscheck
productName: Digital Wellness Check
copyright: Copyright © 2022
directories:
  output: dist
  buildResources: resources
files:
  - from: .
    filter:
      - package.json
      - app
publish:
  provider: s3
  bucket: digital-wellness-check-releases
win:
  icon: resources/icon.ico
mac:
  icon: resources/icon.icns
  identity: "Center for Digital Resilience"
  hardenedRuntime: true
  gatekeeperAssess: false
  target:
    - target: default
      arch: x64
    - target: default
      arch: arm64
linux:
  category: Office
  target:
    - AppImage
    - snap
    - deb
    - zip
afterSign: "notarize.js"
dmg:
  sign: false
